if flags.nakosilTravy and flags.nakosilTravy > 0 then
  for i=1,flags.nakosilTravy do
    set_visible_object(i,false)
    setCursor(i,3)
  end
  if flags.nakosilTravy == 3 then
    setCursor(obj.spichki_5_12.id,4)
    ActivateObject(obj.spichki_5_12.id,true)
  end
else
  flags.nakosilTravy = 0
end
setcolor(9,1,1,1,0)
function gameinput (sender,obj_id,attachedID)
  MiniInterfaceHandler(sender, obj_id,attachedID);
  sendersProcessing(sender,obj_id,attachedID)
  if wrongItemWarning(sender, obj_id, attachedID, "serp_3_1") then
    return
  end
  if sender==1 then
    if obj_id >= 1 and obj_id <= 3 then
      if obj.serp_3_1 and attachedID == obj.serp_3_1.id then
        flags.nakosilTravy = flags.nakosilTravy + 1
        playeffect("serp")
        Block_Show_Cur(true)
        SetAlfa(9,0,1,0.1,"frame1")
        if flags.nakosilTravy == 3 then
          removeFromMouse(obj.serp_3_1.id)
          flags.travaskos=true
          UnStoreObj(obj.serp_3_1.id)
          setCursor(obj.spichki_5_12.id,4)
          ActivateObject(obj.spichki_5_12.id,true)
        end
      else
        CreatePlashechka("548","he")
      end
    end
    if obj_id == obj.spichki_5_12.id then
      StoreObj(obj.spichki_5_12.id);
      neighbors.MuzeyTrava.lock = true
    end
  end
  if sender == 26 then
  --  CloseSatelite()
  end
end

function frame1()
  local pi = math.pi

  StartTravel(9,1,nil,nil,{"InstantiationOfCircleR",3,612,650,612,334,-2*pi/3,-pi/6,0.8,true},"frame2")
end

function frame2()
  speciale_action(2,flags.nakosilTravy,true,1)
  SetAlfa(9,1,0,1,"frame3")
end

function frame3()
  SetObjectPosition(9,2000,2000)
  Block_Show_Cur(false)
end